跳转到主要内容
基础设施相关接口/安装器
GETInstaller起始版本 1.0同步需要认证

部署注册列表

获取服务注册结果已完成部署。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • deployIdString

    部署ID。

    示例: deploy-a1b2c3d4

  • statusString

    状态信息。

    示例: completed

  • itemsList

    条目列表。

    示例: (nested array)

    • nameString

      资源名称。

      示例: postgresql

    • endpointString

      接收端地址。

      示例: 192.168.1.10:5432

    • statusString

      状态信息。

      示例: registered

    • registeredAtString

      注册时间。

      示例: 2026-01-15T08:00:00Z

    • errorString

      错误码。操作成功时为 null,失败时返回具体错误信息。

      示例: connection timeout

请求地址

GET/api/v1/installer/deploy/registrations

/api/v1/installer/deploy/registrations

操作 ID

GetDeployRegistrations

永久链接

请求示例

curl -X GET '{host}/api/v1/installer/deploy/registrations' -H 'Authorization: Bearer {token}'

响应示例

200
{
  "deployId": "deploy-a1b2c3d4",
  "status": "completed",
  "items": [
    {}
  ]
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史